Subject: bug#41242: Port feature/native-comp to Windows

From: Andrea Corallo <[email-masked]>
Date: Thu, 14 May 2020 11:17:11 +0000

Eli Zaretskii <[email-masked]> writes:

>> I don't think the second is an option.  The unload machanism is
>> already
>> in place but is GC driven, I don't see how else it could work.
>
> Windows doesn't let you delete a shared library that's loaded by a
> process, but it does let you rename it.  So I think the solution would
> be to rename the .eln file to something like .eln.old, and then let
> the GC driven unload machinery to delete that old file.

Do we have guarantees that each object is collected before Emacs is
eventually closed?  I thought is not the case.

> Btw, what happens if more than one Emacs session have the same .eln file loaded, and one of them wants to recompile it?

Now to avoid this problem we always delete the file before recompiling.

  Andrea

-- 
[email-masked]